/*Реализовать функцию для подсчета n-го обобщенного числа Фибоначчи.

#### Технические требования:
- Написать функцию для подсчета n-го обобщенного [числа Фибоначчи](https://ru.wikipedia.org/wiki/%D0%A7%D0%B8%D1%81%D0%BB%D0%B0_%D0%A4%D0%B8%D0%B1%D0%BE%D0%BD%D0%B0%D1%87%D1%87%D0%B8). Аргументами на вход будут три числа - `F0`, `F1`, `n`, где `F0`, `F1` - первые два числа последовательности (могут быть любыми целыми числами), `n` - порядковый номер числа Фибоначчи, которое надо найти. Последовательнось будет строиться по следующему правилу `F2 = F0 + F1`, `F3 = F1 + F2` и так далее.
- Считать с помощью модального окна браузера число, которое введет пользователь (`n`).
- С помощью функции посчитать n-е число в обощенной последовательности Фибоначчи и вывести его на экран.
- Пользователь может ввести отрицательное число - результат надо посчитать по такому же правилу (`F-1 = F-3 + F-2`).
- Использовать синтаксис ES6 для работы с перемеными и функциями.

#### Литература:
- [Функции - основы](https://learn.javascript.ru/function-basics)
- [Функции в ES6](http://learn.javascript.ru/es-function)
- [Рекурсия, стек](https://learn.javascript.ru/recursion)*/


findFibo = (F0, F1, n) => {
    let F3 = 0;
    if (n > 2) {
        for (i = 3; i <= n; i++) {
            F3 = F0 + F1;
            F0 = F1;
            F1 = F3;
        }
        return F1;
    }
    else if (n<=0) {
        for (i = 0; i >= n; i--) {
            F3 = F1 - F0;
            F1 = F0;
            F0 = F3;
        }
        return F0;
    }
    else if (n = 2) {
        return F1;
    }
    else if (n = 1) {
        return F0;
    }
    else {
        return false;
    }
}



